
<!DOCTYPE html>

<html class="no-js" lang="en">
<head>
<meta charset="utf-8"/>
<meta content="width=device-width,initial-scale=1" name="viewport"/>
<link href="../assets/images/favicon.png" rel="icon"/>
<meta content="mkdocs-1.2.3, mkdocs-material-7.3.6" name="generator"/>
<title>Analyse de L'existant - SecuWallet</title>
<link href="../assets/stylesheets/main.a57b2b03.min.css" rel="stylesheet"/>
<link href="../assets/stylesheets/palette.3f5d1f46.min.css" rel="stylesheet"/>
<meta content="#ab47bd" name="theme-color"/>
<link crossorigin="" href="https://fonts.gstatic.com" rel="preconnect"/>
<link href="https://fonts.googleapis.com/css?family=Roboto:300,400,400i,700%7CRoboto+Mono&amp;display=fallback" rel="stylesheet"/>
<style>:root{--md-text-font-family:"Roboto";--md-code-font-family:"Roboto Mono"}</style>
<link href="https://unpkg.com/mermaid@8.5.1/dist/mermaid.css" rel="stylesheet"/>
<link href="../extra.css" rel="stylesheet"/>
</head>
<body data-md-color-accent="" data-md-color-primary="purple" data-md-color-scheme="slate" dir="ltr">
<script>function __prefix(e){return new URL("..",location).pathname+"."+e}function __get(e,t=localStorage){return JSON.parse(t.getItem(__prefix(e)))}</script>
<input autocomplete="off" class="md-toggle" data-md-toggle="drawer" id="__drawer" type="checkbox"/>
<input autocomplete="off" class="md-toggle" data-md-toggle="search" id="__search" type="checkbox"/>
<label class="md-overlay" for="__drawer"></label>
<div data-md-component="skip">
<a class="md-skip" href="#analyse-de-lexistant">
          Skip to content
        </a>
</div>
<div data-md-component="announce">
</div>
<header class="md-header" data-md-component="header">
<nav aria-label="Header" class="md-header__inner md-grid">
<a aria-label="SecuWallet" class="md-header__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
<label class="md-header__button md-icon" for="__drawer">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2z"></path></svg>
</label>
<div class="md-header__title" data-md-component="header-title">
<div class="md-header__ellipsis">
<div class="md-header__topic">
<span class="md-ellipsis">
            SecuWallet
          </span>
</div>
<div class="md-header__topic" data-md-component="header-topic">
<span class="md-ellipsis">
            
              Analyse de L'existant
            
          </span>
</div>
</div>
</div>
<label class="md-header__button md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
</label>
<div class="md-search" data-md-component="search" role="dialog">
<label class="md-search__overlay" for="__search"></label>
<div class="md-search__inner" role="search">
<form class="md-search__form" name="search">
<input aria-label="Search" autocapitalize="off" autocomplete="off" autocorrect="off" class="md-search__input" data-md-component="search-query" name="query" placeholder="Search" required="" spellcheck="false" type="text"/>
<label class="md-search__icon md-icon" for="__search">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5z"></path></svg>
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</label>
<nav aria-label="Search" class="md-search__options">
<button aria-label="Clear" class="md-search__icon md-icon" tabindex="-1" type="reset">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z"></path></svg>
</button>
</nav>
</form>
<div class="md-search__output">
<div class="md-search__scrollwrap" data-md-scrollfix="">
<div class="md-search-result" data-md-component="search-result">
<div class="md-search-result__meta">
            Initializing search
          </div>
<ol class="md-search-result__list"></ol>
</div>
</div>
</div>
</div>
</div>
</nav>
</header>
<div class="md-container" data-md-component="container">
<main class="md-main" data-md-component="main">
<div class="md-main__inner md-grid">
<div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation">
<div class="md-sidebar__scrollwrap">
<div class="md-sidebar__inner">
<nav aria-label="Navigation" class="md-nav md-nav--primary" data-md-level="0">
<label class="md-nav__title" for="__drawer">
<a aria-label="SecuWallet" class="md-nav__button md-logo" data-md-component="logo" href=".." title="SecuWallet">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M12 8a3 3 0 0 0 3-3 3 3 0 0 0-3-3 3 3 0 0 0-3 3 3 3 0 0 0 3 3m0 3.54C9.64 9.35 6.5 8 3 8v11c3.5 0 6.64 1.35 9 3.54 2.36-2.19 5.5-3.54 9-3.54V8c-3.5 0-6.64 1.35-9 3.54z"></path></svg>
</a>
    SecuWallet
  </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../0_Poster/">
        Poster
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../1_Resume/">
        Introduction
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../2_CahierDesCharges/">
        Cahier des charges
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../3_planning/">
        Planning
      </a>
</li>
<li class="md-nav__item md-nav__item--active md-nav__item--nested">
<input checked="" class="md-nav__toggle md-toggle" data-md-toggle="__nav_5" id="__nav_5" type="checkbox"/>
<label class="md-nav__link" for="__nav_5">
          Documentation technique
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Documentation technique" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_5">
<span class="md-nav__icon md-icon"></span>
          Documentation technique
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item md-nav__item--active">
<input class="md-nav__toggle md-toggle" data-md-toggle="toc" id="__toc" type="checkbox"/>
<label class="md-nav__link md-nav__link--active" for="__toc">
          Analyse de L'existant
          <span class="md-nav__icon md-icon"></span>
</label>
<a class="md-nav__link md-nav__link--active" href="./">
        Analyse de L'existant
      </a>
<nav aria-label="Table of contents" class="md-nav md-nav--secondary">
<label class="md-nav__title" for="__toc">
<span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
<ul class="md-nav__list" data-md-component="toc" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="#importer-ou-creer-un-portefeuille">
    Importer ou créer un portefeuille
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#creation-du-mot-de-passe">
    Création du Mot de passe
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#connexion">
    Connexion
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#acceuil">
    Acceuil
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#envoyer">
    Envoyer
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#contact">
    Contact
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#historique">
    Historique
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#liste-des-portefeuilles">
    Liste des portefeuilles
  </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../5_userStories/">
        User Stories
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../6_interface/">
        Interfaces
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../7_Architecture/">
        Architecture
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../8_outilsExterne/">
        Outils et librairies externes
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../9_installationEnvironnement/">
        Installation de l'environnement
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../10_EncryptionBdd/">
        Encryption de base de données
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../docClasse/">
        Description Classes
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../Tests/">
        Tests
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../conclusion/">
        Conclusion
      </a>
</li>
</ul>
</nav>
</li>
<li class="md-nav__item md-nav__item--nested">
<input class="md-nav__toggle md-toggle" data-md-toggle="__nav_6" id="__nav_6" type="checkbox"/>
<label class="md-nav__link" for="__nav_6">
          Annexes
          <span class="md-nav__icon md-icon"></span>
</label>
<nav aria-label="Annexes" class="md-nav" data-md-level="1">
<label class="md-nav__title" for="__nav_6">
<span class="md-nav__icon md-icon"></span>
          Annexes
        </label>
<ul class="md-nav__list" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="../JournalDeBord/">
        Journal de bord
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../tableDesIllustrations/">
        Table des illustrations
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../planningAnnexe/">
        Planning
      </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="../codeSource/">
        Code source
      </a>
</li>
</ul>
</nav>
</li>
</ul>
</nav>
</div>
</div>
</div>
<div class="md-sidebar md-sidebar--secondary" data-md-component="sidebar" data-md-type="toc">
<div class="md-sidebar__scrollwrap">
<div class="md-sidebar__inner">
<nav aria-label="Table of contents" class="md-nav md-nav--secondary">
<label class="md-nav__title" for="__toc">
<span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
<ul class="md-nav__list" data-md-component="toc" data-md-scrollfix="">
<li class="md-nav__item">
<a class="md-nav__link" href="#importer-ou-creer-un-portefeuille">
    Importer ou créer un portefeuille
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#creation-du-mot-de-passe">
    Création du Mot de passe
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#connexion">
    Connexion
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#acceuil">
    Acceuil
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#envoyer">
    Envoyer
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#contact">
    Contact
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#historique">
    Historique
  </a>
</li>
<li class="md-nav__item">
<a class="md-nav__link" href="#liste-des-portefeuilles">
    Liste des portefeuilles
  </a>
</li>
</ul>
</nav>
</div>
</div>
</div>
<div class="md-content" data-md-component="content">
<article class="md-content__inner md-typeset">
<h1 id="analyse-de-lexistant">Analyse de l'existant</h1>
<p>Je vais parler d'une application qui sera mon point de repère pour l'élaboration de mon projet qui est "MetaMask".En effet, celle-ci détient la quasi-totalité des fonctionnalités qui m'intéresse.
Ces dernières sont de pouvoir se connecter, de pouvoir envoyer de la cryptomonnaie, de créer/maintenir un cahier de contact, de pouvoir créer et/ou importer des wallets ainsi que de pouvoir jeter un œil sur l'historique des transactions.</p>
<figure id="fig19" style="width: 30%">
<img alt="Logo Metamask" src=".././img/assets_logo_metamask.jpg" width="100%"/>
<figcaption>
<span class="fig">[Fig 19]:</span><b>Logo Metamask</b> </figcaption>
</figure>
<h2 id="importer-ou-creer-un-portefeuille">Importer ou créer un portefeuille</h2>
<p>Étant donné que MetaMask est une application/extension que l'on installe sur le navigateur, il est demandé de tout d'abord choisir entre le fait d'importer un portefeuille avec une phrase "mnémotechnique" ou de configurer un nouveau portefeuille. Dans notre cas il s'agirait ici de commencer depuis le début.</p>
<figure id="fig20" style="width: 60%">
<img alt="Formulaire d'inscription Metamask" src=".././img/forumulaireInscription.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 20]:</span><b>Formulaire d'inscription Metamask</b> </figcaption>
</figure>
<h2 id="creation-du-mot-de-passe">Création du Mot de passe</h2>
<p>Ensuite il est demandé de choisir un mot de passe. Pour remarque, les navigateurs sont de base connectés avec une adresse mail, qui est donc le point de référence à l'application.</p>
<figure id="fig21" style="width: 30%">
<img alt="Création d'un mot de passe Metamask" src=".././img/mdp.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 21]:</span><b>Création d'un mot de passe Metamask</b> </figcaption>
</figure>
<h2 id="connexion">Connexion</h2>
<p>Cette page est toute simple puisqu'il s'agit ici d'entrer le mot de passe spécifié au préalable.</p>
<figure id="fig22" style="width: 15%">
<img alt="Connexion Metamask" src=".././img/connexion.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 22]:</span><b>Connexion Metamask</b> </figcaption>
</figure>
<h2 id="acceuil">Acceuil</h2>
<p>Cette page représente l'accueil de l'application. Elle offre plusieurs fonctionnalités possibles. Elle permet de savoir sur quel portefeuille on se trouve, de voir la quantité de cryptomonnaies détenue ainsi que sa valeur en "USD", d'échanger de la monnaie fiduciaire contre de l'Ethereum part le biais d'un paiement par carte de crédit, d'envoyer de l'éther, de voir son historique de transaction.</p>
<figure id="fig23" style="width: 15%">
<img alt="Acceuil Metamask" src=".././img/accueil.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 23]:</span><b>Acceuil Metamask</b> </figcaption>
</figure>
<h2 id="envoyer">Envoyer</h2>
<p>Une fois cliqué sur l'option "envoyer", il apparait cette page qui permet de soit envoyer de l'Etherum en utilisant une adresse publique ou de scanner un QR code soit de choisir un contact dans notre liste.</p>
<figure id="fig24" style="width: 15%">
<img alt="Création transaction Metamask" src=".././img/envoyer.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 24]:</span><b>Création transaction Metamask</b> </figcaption>
</figure>
<h2 id="contact">Contact</h2>
<p>Comme mentionné tout à l'<a href="#envoyer">heure</a>, on peut créer notre propre liste de contact. Dans cette situation on a la possibilité d'ajouter un contact ou de tout simplement voir nos contacts ou encore de les rechercher. </p>
<figure id="fig25" style="width: 15%">
<img alt="Liste contacts Metamask" src=".././img/contact.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 25]:</span><b>Liste contacts Metamask</b> </figcaption>
</figure>
<p>Une fois que l'on décide d'en ajouter un nouveau, il est donc demandé de choisir un nom de contact ainsi que de renseigner son adresse publique ou de scanner avec un QR code. Une fois celle-ci faite, on enregistre ou on annule la démarche.</p>
<figure id="fig26" style="width: 15%">
<img alt="Création contact Metamask" src=".././img/nouveauContact.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 26]:</span><b>Création contact Metamask</b> </figcaption>
</figure>
<h2 id="historique">Historique</h2>
<p>Depuis la page <a href="#acceuil">accueil,</a> on a la possibilité de voir notre "activité" (historique) de transaction dans l'onglet en bas à droite. C'est-à-dire de voir toutes les transactions effectuées avec le portefeuille sélectionné.</p>
<figure id="fig27" style="width: 15%">
<img alt="Historique des transactions Metamask" src=".././img/historique.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 27]:</span><b>Historique des transactions Metamask</b> </figcaption>
</figure>
<h2 id="liste-des-portefeuilles">Liste des portefeuilles</h2>
<p>En appuyant sur la petite icône ronde en haut à droite on a la possibilité de voir la totalité de nos portefeuilles ainsi que la quantité d'ETH. En plus de cela on a également la possibilité de créer un compte, d'importer un compte ou de connecter un portefeuille matériel (clé USB) par exemple <a href="https://fr.wikipedia.org/wiki/Ledger_(entreprise)">Ledger Nano S</a> qui est une clé USB qui détient des Wallets avec une clé privée digitale ainsi cela lui permet de se connecter sur son ordinateur ou une plateforme de trading.</p>
<figure id="fig28" style="width: 15%">
<img alt="Liste des portefeuilles Metamask" src=".././img/wallets.png" width="100%"/>
<figcaption>
<span class="fig">[Fig 28]:</span><b>Liste des portefeuilles Metamask</b> </figcaption>
</figure>
</article>
</div>
</div>
</main>
<footer class="md-footer">
<nav aria-label="Footer" class="md-footer__inner md-grid">
<a aria-label="Previous: Planning" class="md-footer__link md-footer__link--prev" href="../3_planning/" rel="prev">
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12z"></path></svg>
</div>
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Previous
              </span>
              Planning
            </div>
</div>
</a>
<a aria-label="Next: User Stories" class="md-footer__link md-footer__link--next" href="../5_userStories/" rel="next">
<div class="md-footer__title">
<div class="md-ellipsis">
<span class="md-footer__direction">
                Next
              </span>
              User Stories
            </div>
</div>
<div class="md-footer__button md-icon">
<svg viewbox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M4 11v2h12l-5.5 5.5 1.42 1.42L19.84 12l-7.92-7.92L10.5 5.5 16 11H4z"></path></svg>
</div>
</a>
</nav>
<div class="md-footer-meta md-typeset">
<div class="md-footer-meta__inner md-grid">
<div class="md-footer-copyright">
        
        
          Made with
          <a href="https://squidfunk.github.io/mkdocs-material/" rel="noopener" target="_blank">
            Material for MkDocs
          </a>
 ... <a class="link--pdf-download" download href="../pdf/document.pdf" title="PDF">download PDF</a></div>
</div>
</div>
</footer>
</div>
<div class="md-dialog" data-md-component="dialog">
<div class="md-dialog__inner md-typeset"></div>
</div>
<script id="__config" type="application/json">{"base": "..", "features": [], "translations": {"clipboard.copy": "Copy to clipboard", "clipboard.copied": "Copied to clipboard", "search.config.lang": "en", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "Search", "search.result.placeholder": "Type to start searching", "search.result.none": "No matching documents", "search.result.one": "1 matching document", "search.result.other": "# matching documents", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.term.missing": "Missing", "select.version.title": "Select version"}, "search": "../assets/javascripts/workers/search.fcfe8b6d.min.js", "version": null}</script>
<script src="../assets/javascripts/bundle.b1047164.min.js"></script>
<script src="https://unpkg.com/mermaid@8.5.1/dist/mermaid.min.js"></script>
</body>
</html>